Skip to main content
`Ctrl`+`K`

# SVDKSVDSetEigenMethod

Sets the method to solve the internal eigenproblem within the KSVD solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDKSVDSetEigenMethod(SVD svd,SVDKSVDEigenMethod eigen)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- eigen - method that will be used by KSVD for the eigenproblem

## Options Database Key

- -svd_ksvd_eigen_method <eigen> - sets the method for the KSVD eigensolver

If not set, the method defaults to `SVD_KSVD_EIGEN_MRRR`.

## See Also

SVD: Singular Value Decomposition, `SVDKSVD`, `SVDKSVDGetEigenMethod()`, `SVDKSVDEigenMethod`

## Level

advanced

## Location

src/svd/impls/external/ksvd/svdksvd.c

## Implementations

SVDKSVDSetEigenMethod_KSVD() in src/svd/impls/external/ksvd/svdksvd.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages